Bug 126244 - [snd_hda] [patch] Fujitsu U1010 - Fix deactivation of speakers while plugging headphones
Summary: [snd_hda] [patch] Fujitsu U1010 - Fix deactivation of speakers while plugging...
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 8.0-CURRENT
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-multimedia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-04 18:20 UTC by ganael.laplanche
Modified: 2008-09-14 06:29 UTC (History)
0 users

See Also:


Attachments
file.diff (760 bytes, patch)
2008-08-04 18:20 UTC, ganael.laplanche
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2008-08-04 18:20:02 UTC
On Fujitsu U1010 sub-laptop (uses snd_hda), speakers do no switch OFF when plugging a headphone in the jack connector. The attached patch fixes this issue.

Fix: Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer 2008-08-04 20:59:23 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-multimedia

Over to maintainer(s).
Comment 2 dfilter freebsd_committer 2008-09-07 21:25:34 UTC
joel        2008-09-07 20:25:19 UTC

  FreeBSD src repository

  Modified files:
    sys/dev/sound/pci/hda hdac.c 
  Log:
  SVN rev 182854 on 2008-09-07 20:25:19Z by joel
  
  Fix deactivation of speakers while plugging in headphones on Fujitsu
  U1010, Lenovo 3k N200 and Acer Aspire 4715Z.
  
  Reviewed by:    attilio
  PR:             126216, 126244, 127034
  Submitted by:   Anton E. Kartashev <amokk@mirahost.ru>,
                  Ganael Laplanche <ganael.laplanche@martymac.com>,
                  Dennis Generaloff <giantlock@gmail.com>
  
  Revision  Changes    Path
  1.56      +9 -0      src/sys/dev/sound/pci/hda/hdac.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Joel Dahl freebsd_committer 2008-09-07 21:30:33 UTC
State Changed
From-To: open->patched

Committed to head.
Comment 4 dfilter freebsd_committer 2008-09-12 19:38:21 UTC
remko       2008-09-12 18:37:52 UTC

  FreeBSD src repository

  Modified files:        (Branch: RELENG_7)
    sys/dev/sound/pci/hda hdac.c 
  Log:
  SVN rev 182969 on 2008-09-12 18:37:52Z by remko
  
  MFC r182854
  
    Fix deactivation of speakers while plugging in headphones on Fujitsu
    U1010, Lenovo 3k N200 and Acer Aspire 4715Z.
  
    Reviewed by:    attilio
    PR:             126216, 126244, 127034
    Submitted by:   Anton E. Kartashev <amokk@mirahost.ru>,
                    Ganael Laplanche <ganael.laplanche@martymac.com>,
                    Dennis Generaloff <giantlock@gmail.com>
  
  Requested by:   joel
  Approved by:    re (kib, via joel), imp (mentor, implicit)
  Obtained from:  joel
  
  Revision  Changes    Path
  1.44.2.7  +9 -0      src/sys/dev/sound/pci/hda/hdac.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Joel Dahl freebsd_committer 2008-09-14 06:28:55 UTC
State Changed
From-To: patched->closed

Patch committed to RELENG_7.